Skip to main content

PUT v3/products/:id

PUT 

/v3/products/:id

Update the details of a product.

Enables updating and modifying product information related details by its id. Note that not all attributes can be modified once the product is created or when there is stock and others are not mutable through the API.

This endpoint does not support inclusion of other resources.

Limitations of PUT /v3/products/:id​

When using this endpoint, expect the following limitations

  • The following attributes of a product can not be modified, or only under certain conditions and result in a 409 Conflict:
    • sku sku changes are not supported.
    • barcode can be changed as long as there is no stock for that product.
    • weight this attribute is determined during the first inbound.
    • length, width and height these attributes are determined during the first inbound.
  • Users are required to provide all properties of the product as these can be erased when omitted. (This is not a PATCH operation)

Request​

Responses​

OK